Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.servlet
Class HashSessionManager.Session

    java.lang.Object
      org.mortbay.jetty.servlet.AbstractSessionManager.Session
          org.mortbay.jetty.servlet.HashSessionManager.Session

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.http.HttpSession, AbstractSessionManager.SessionIf

Enclosing class:
  HashSessionManager

    protected class HashSessionManager.Session

extends AbstractSessionManager.Session

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mortbay.jetty.servlet.AbstractSessionManager.Session
`_accessed, _clusterId, _cookieSet, _created, _doInvalidate, _idChanged, _invalid, _lastAccessed, _maxIdleMs, _newSession, _nodeId, _requests, _values`

Constructor Summary
`protected` | `HashSessionManager.Session(javax.servlet.http.HttpServletRequest request)`
`protected` | `HashSessionManager.Session(long created, java.lang.String clusterId)`

Method Summary
`void` | `invalidate()`
`protected java.util.Map` | `newAttributeMap()`
`void` | `remove(java.lang.String id)`
`void` | `save(java.io.FileOutputStream fos)`
`void` | `setMaxInactiveInterval(int secs)`

Methods inherited from class org.mortbay.jetty.servlet.AbstractSessionManager.Session
`access, bindValue, complete, cookieSet, didActivate, doInvalidate, getAttribute, getAttributeNames, getClusterId, getCookieSetTime, getCreationTime, getId, getLastAccessedTime, getMaxInactiveInterval, getNodeId, getServletContext, getSession, getSessionContext, getValue, getValueNames, initValues, isIdChanged, isNew, isValid, putValue, removeAttribute, removeValue, setAttribute, setIdChanged, timeout, toString, unbindValue, willPassivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HashSessionManager.Session

    protected HashSessionManager.Session(javax.servlet.http.HttpServletRequest request)

### HashSessionManager.Session

    protected HashSessionManager.Session(long created,
                                         java.lang.String clusterId)

Method Detail

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int secs)

  Specified by:
    `setMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`
  Overrides:
    `setMaxInactiveInterval` in class `AbstractSessionManager.Session`

### newAttributeMap

    protected java.util.Map newAttributeMap()

  Specified by:
    `newAttributeMap` in class `AbstractSessionManager.Session`

### invalidate

    public void invalidate()
                    throws java.lang.IllegalStateException

  Specified by:
    `invalidate` in interface `javax.servlet.http.HttpSession`
  Overrides:
    `invalidate` in class `AbstractSessionManager.Session`
  Throws:
    `java.lang.IllegalStateException`

### remove

    public void remove(java.lang.String id)

### save

    public void save(java.io.FileOutputStream fos)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.